using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class AccountFlagsPacket : Packet
    {
        // Accounts flags (0x400 bytes)
        public List<byte> Flags { get; set; }
        // Accounts parameters (0x100 bytes)
        public List<uint> Params { get; set; }

        public AccountFlagsPacket()
        {
            Flags = new List<byte>(new byte[0x400]);
            Params = new List<uint>(new uint[0x100]);
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.Write(new byte[0x400]);
            pkt.Write(new byte[0x400]);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x23, 0x06, PacketFlags.None);
        }

        #endregion
    }
}